Loading...
Searching...
No Matches
pdftron::Crypto::X509Extension Class Reference

`#include <X509Extension.h>`

## Public Member Functions
| X509Extension (const X509Extension &other)
X509Extension & | operator= (const X509Extension &other)
void | Destroy ()
bool | IsCritical () const
ObjectIdentifier | GetObjectIdentifier () const
UString | ToString () const
std::vector< UChar > | GetData () const
| ~X509Extension ()
| X509Extension (TRN_X509Extension impl)

## Public Attributes
TRN_X509Extension | m_impl

## Detailed Description

This class represents an X509v3 certificate extension. See RFC 5280 as a specification.

Definition at line 20 of file X509Extension.h.

## Constructor & Destructor Documentation

## ◆ X509Extension() [1/2]

pdftron::Crypto::X509Extension::X509Extension | ( | const X509Extension & | other | ) |

## ◆ ~X509Extension()

pdftron::Crypto::X509Extension::~X509Extension | ( |  | ) |

## ◆ X509Extension() [2/2]

pdftron::Crypto::X509Extension::X509Extension | ( | TRN_X509Extension | impl | ) |

## Member Function Documentation

## ◆ Destroy()

void pdftron::Crypto::X509Extension::Destroy | ( |  | ) |

## ◆ GetData()

std::vector< UChar > pdftron::Crypto::X509Extension::GetData | ( |  | ) | const

Retrieves the raw binary DER-encoded data of the extension. (DER is short for Distinguished Encoding Rules.)

Returns
  a container holding the bytes of the extension in the form of binary DER-encoded data

## ◆ GetObjectIdentifier()

ObjectIdentifier pdftron::Crypto::X509Extension::GetObjectIdentifier | ( |  | ) | const

Retrieves the OID (object identifier) of the extension in the form of integer components in a container. The meaning of an OID can be determined from an OID repository.

Returns
  an ObjectIdentifier object.

## ◆ IsCritical()

bool pdftron::Crypto::X509Extension::IsCritical | ( |  | ) | const

Retrieves whether the extension is 'critical'. See RFC 5280 for an explanation of what this means.

Returns
  a boolean representing the criticality flag of the extension.

## ◆ operator=()

X509Extension & pdftron::Crypto::X509Extension::operator= | ( | const X509Extension & | other | ) |

## ◆ ToString()

UString pdftron::Crypto::X509Extension::ToString | ( |  | ) | const

Returns a string representation of the extension.

Returns
  a string representation of the extension.

Note
  Output may change in future versions.

## Member Data Documentation

## ◆ m_impl

TRN_X509Extension pdftron::Crypto::X509Extension::m_impl

Definition at line 67 of file X509Extension.h.

The documentation for this class was generated from the following file:

- Crypto/X509Extension.h